;==========================================================
;
;
;   ██████╗  ██████╗ ██╗  ██╗   ██╗██████╗  █████╗ ██████╗
;   ██╔══██╗██╔═══██╗██║  ╚██╗ ██╔╝██╔══██╗██╔══██╗██╔══██╗
;   ██████╔╝██║   ██║██║   ╚████╔╝ ██████╔╝███████║██████╔╝
;   ██╔═══╝ ██║   ██║██║    ╚██╔╝  ██╔══██╗██╔══██║██╔══██╗
;   ██║     ╚██████╔╝███████╗██║   ██████╔╝██║  ██║██║  ██║
;   ╚═╝      ╚═════╝ ╚══════╝╚═╝   ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝
;
;
;   To learn more about how to configure Polybar
;   go to https://github.com/polybar/polybar
;
;   The README contains a lot of information
;
;==========================================================

[colors]
background = #282A2E
background-alt = #373B41
foreground = #C5C8C6
#primary = #F0C674
primary = #A0C5E8
#secondary = #8ABEB7
secondary = #3792E8
alert = #A54242
disabled = #707880

[bar/example]
width = 100%
height = 2.5%
radius = 6

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3

border-size = 4
border-color = #00000000

padding-left = 0
padding-right = 1

module-margin = 1

separator = |
separator-foreground = ${colors.disabled}

font-0 = monospace;2
font-1 = FontAwesome:style=Regular;3
;modules-left = launcher xworkspaces
modules-left = xworkspaces
;modules-center = date
;modules-right = pulseaudio xkeyboard memory cpu bt wlan eth battery date powermenu
modules-right = pulseaudio xkeyboard memory cpu bt wlan battery date powermenu
cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

; tray-position = right

; wm-restack = generic
; wm-restack = bspwm
; wm-restack = i3

; override-redirect = true

[module/launcher]
type = custom/text

format-padding = 1

content = " "
content-foreground = ${color.purple}

; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c $COMMAND"
click-left = ~/.config/polybar/scripts/launcher.sh &
;;click-middle = ~/.config/polybar/forest/scripts/launcher-full
;click-right = ~/.config/polybar/forest/scripts/style-switch.sh &

; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c $COMMAND"
;;scroll-up = ~/.config/polybar/forest/scripts/launcher.sh &
;;scroll-down = ~/.config/polybar/forest/scripts/color-switch.sh &


[module/xworkspaces]
type = internal/xworkspaces

label-active = %name%
label-active-background = ${colors.background-alt}
label-active-underline= ${colors.primary}
label-active-padding = 1

label-occupied = %name%
label-occupied-padding = 1

label-urgent = %name%
label-urgent-background = ${colors.alert}
label-urgent-padding = 1

label-empty = %name%
label-empty-foreground = ${colors.disabled}
label-empty-padding = 1

;[module/xwindow]
;type = internal/xwindow
; label = %title:0:60:...%

;[module/filesystem]
;type = internal/fs
;interval = 25

;mount-0 = /

;label-mounted = %{F#F0C674}%mountpoint%%{F-} %percentage_used%%

;label-unmounted = %mountpoint% not mounted
;label-unmounted-foreground = ${colors.disabled}

[module/pulseaudio]
type = internal/pulseaudio

format-volume-prefix = " "
format-volume-prefix-foreground = ${colors.primary}
format-volume = <label-volume>

label-volume = %percentage%%

;label-muted = muted
label-muted =   %percentage%%
label-muted-foreground = ${colors.disabled}

[module/xkeyboard]
type = internal/xkeyboard
blacklist-0 = num lock

label-layout = %layout%
label-layout-foreground = ${colors.primary}

label-indicator-padding = 2
label-indicator-margin = 1
label-indicator-foreground = ${colors.background}
label-indicator-background = ${colors.secondary}

[module/memory]
type = internal/memory
interval = 2
format-prefix = "RAM "
format-prefix-foreground = ${colors.primary}
label = %percentage_used:2%%

[module/cpu]
type = internal/cpu
interval = 2
format-prefix = "CPU "
format-prefix-foreground = ${colors.primary}
label = %percentage:2%%

[network-base]
type = internal/network
interval = 5
;format-connected = <label-connected>
;format-disconnected = <label-disconnected>
;label-disconnected = %{F#F0C674}%ifname%%{F#707880} disconnected
;label-disconnected = %{F#3792E8}%ifname%%{F#707880} disconnected


[module/wlan]
inherit = network-base
;type = custom/network
;interval = 5
interface-type = wireless
format-connected = <label-connected>
format-disconnected = <label-disconnected>
;label-connected = %{F#F0C674}%ifname%%{F-} %essid% %local_ip%
;label-connected = %{F#3792E8}%{F-} %essid% %local_ip%
;label-connected = %{F#3792E8}%{A1:nm-connection-editor:}%{A}%{F-} %essid% %local_ip%
label-connected = %{F#3792E8}%{A1:nm-connection-editor:}%{A}%{F-} %essid%
label-disconnected = %{F#3792E8}%{F#707880} disconnected
;click-left = exec nm-connection-editor

[module/eth]
inherit = network-base
interface-type = wired
format-connected = <label-connected>
format-disconnected = <label-disconnected>
;label-connected = %{F#F0C674}%ifname%%{F-} %local_ip%
label-connected = %{F#3792E8}%{F-} %local_ip%
label-disconnected = %{F#3792E8}%{F#707880} disconnected

[module/battery]
type = internal/battery
full-at = 100

format-charging = <animation-charging> <label-charging>
format-discharging = <ramp-capacity> <label-discharging>
format-full = <ramp-capacity> <label-full>

label-charging = %percentage%% %time%h
label-discharging = %percentage%% %time%h 
ramp-capacity-0 = 
battery-three-quartersramp-capacity-0-foreground = #f53c3c
ramp-capacity-1 = 
ramp-capacity-1-foreground = #ffa900
ramp-capacity-2 = 
ramp-capacity-3 = 
ramp-capacity-4 = 

bar-capacity-width = 10
bar-capacity-format = %{+u}%{+o}%fill%%empty%%{-u}%{-o}
bar-capacity-fill = █
bar-capacity-fill-foreground = #ddffffff
bar-capacity-fill-font = 3
bar-capacity-empty = █
bar-capacity-empty-font = 3
bar-capacity-empty-foreground = #44ffffff

animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
animation-charging-3 = 
animation-charging-4 = 
animation-charging-framerate = 750

[module/bt]
type = custom/text
;exec = ~/.config/polybar/scripts/rofi-bluetooth --status
interval = 1
;click-left = ~/.config/polybar/scripts/rofi-bluetooth &
content =  %{F#3792E8}
click-left = exec blueman-manager

[module/date]
type = internal/date
interval = 1

date = %a %H:%M
date-alt = %a %d.%m.%Y %H:%M

label = %date%
label-foreground = ${colors.primary}

[module/powermenu]
type = custom/text

format-padding = 1 
content = 

click-left = ~/.config/polybar/scripts/powermenu.sh &


[module/powermenu2]
type = custom/menu

format-padding = 1

label-open =  
label-close = 

label-separator = |

menu-0-0 = Logout
menu-0-0-foreground = #fba922
menu-0-0-exec = i3-msg exit
menu-0-1 = Reboot
menu-0-1-foreground = #fba922
;menu-0-1-exec = menu_open-1
menu-0-1-exec = reboot
;menu-0-1-exec = sudo reboot
menu-0-2 = Power off
menu-0-2-foreground = #fba922
;menu-0-2-exec = menu_open-2
menu-0-2-exec = poweroff

menu-1-0 =  
menu-1-0-foreground = #fba922
menu-1-0-exec = menu_open-0
menu-1-1 = Reboot
menu-1-1-foreground = #fba922
menu-1-1-exec = sudo reboot

menu-2-0 = Power off
menu-2-0-foreground = #fba922
menu-2-0-exec = sudo poweroff
menu-2-1 =  
menu-2-1-foreground = #fba922
menu-2-1-exec = menu_open-0

[settings]
screenchange-reload = true
pseudo-transparency = true

; vim:ft=dosini
